[Frugalware-git] frugalware-current: poppler-0.6.1-2-i686

crazy crazy at frugalware.org
Wed Nov 7 00:24:37 CET 2007


Git-Url: http://git.frugalware.org/gitweb/gitweb.cgi?p=frugalware-current.git;a=commitdiff;h=107a5da84c92961ce21612f744d13c1184ba02fb

commit 107a5da84c92961ce21612f744d13c1184ba02fb
Author: crazy <crazy at frugalware.org>
Date:   Wed Nov 7 00:20:25 2007 +0100

poppler-0.6.1-2-i686
* fixed qt4 depends()
* fixed qt{3,4} groups

diff --git a/source/xlib/poppler/FrugalBuild b/source/xlib/poppler/FrugalBuild
index fb348ec..30c25d0 100644
--- a/source/xlib/poppler/FrugalBuild
+++ b/source/xlib/poppler/FrugalBuild
@@ -3,11 +3,11 @@

pkgname=poppler
pkgver=0.6.1
-pkgrel=1
+pkgrel=2
pkgdesc="A PDF rendering library"
url="http://poppler.freedesktop.org/"
depends=('libxext' 'fontconfig' 'libstdc++' 'cairo' 'libjpeg' 'libxrender' 'libpng')
-makedepends=('qt' 'gtk+2>=2.12.0' 'gtk-doc' 'qt4')
+makedepends=('qt' 'gtk+2>=2.12.0' 'gtk-doc' 'libqtgui' 'libqtxml' 'libqttest')
groups=('xlib')
archs=('i686' 'x86_64')
up2date="lynx -dump http://poppler.freedesktop.org/releases.html|grep tar.gz|sed -n 's/.*-\(.*\)\.t.*/\1/;1 p'"
@@ -17,8 +17,8 @@ options=('scriptlet')

subpkgs=('poppler-glib' 'poppler-qt' 'poppler-pdftools' 'poppler-qt4')
subdescs=('Poppler glib/GTK+ bindings' 'Poppler QT bindings' 'poppler xpdf tools' 'Poppler QT4 bindings')
-subgroups=('gnome' 'kde' 'xapps' 'kde-extra')
-subdepends=('poppler pango gtk+2' 'poppler qt' 'poppler' 'poppler qt4')
+subgroups=('gnome' 'xlib' 'xapps' 'xlib-extra')
+subdepends=('poppler pango gtk+2' 'poppler qt' 'poppler' 'poppler  libqtgui libqtxml libqttest')
subarchs=('i686 x86_64' 'i686 x86_64' 'i686 x86_64' 'i686 x86_64')

build() {


More information about the Frugalware-git mailing list